_msgs.snmp =
  [
    /* 0  */ "ERROR: The SNMP Port is already in use.",
    /* 1  */ "ERROR: Failed to enable the SNMP Agent.",
    /* 2  */ "SNMP Agent turned on.",
    /* 3  */ "ERROR: Failed to disable the SNMP Agent.",
    /* 4  */ "SNMP Agent turned off.",
    /* 5  */ "ERROR: Failed to set the Read Community.",
    /* 6  */ "The Read Community has been changed.",
    /* 7  */ "ERROR: Failed to set the Write Community.",
    /* 8  */ "The Write Community has been changed.",
    /* 9  */ "ERROR: Failed to set the System Contact.",
    /* 10 */ "The System Contact has been changed.",
    /* 11 */ "ERROR: Failed to set the System Name.",
    /* 12 */ "The System Name has been changed.",
    /* 13 */ "ERROR: Failed to set the System Description.",
    /* 14 */ "The System Description has been changed.",
    /* 15 */ "ERROR: Failed to set the System Location.",
    /* 16 */ "The System Location has been changed.",
    /* 17 */ "ERROR: Failed to enable SNMP Traps.",
    /* 18 */ "SNMP Traps have been enabled.",
    /* 19 */ "ERROR: Failed to disable SNMP Traps.",
    /* 20 */ "SNMP Traps have been disabled.",
    /* 21 */ "ERROR: Invalid Primary TrapDest.",
    /* 22 */ "ERROR: Failed to set the Primary TrapDest.",
    /* 23 */ "The Primary TrapDest has been changed.",
    /* 24 */ "ERROR: Invalid Secondary TrapDest.",
    /* 25 */ "ERROR: Failed to set the Secondary TrapDest.",
    /* 26 */ "The Secondary TrapDest has been changed.",
    /* 27 */ "ERROR: Failed to delete the SNMP Read Community.",
    /* 28 */ "The SNMP Read Community has been deleted.",
    /* 29 */ "ERROR: Failed to delete the SNMP Write Community.",
    /* 30 */ "The SNMP Write Community has been deleted.",
    /* 31 */ "ERROR: Failed to delete the SNMP System Contact.",
    /* 32 */ "The SNMP System Contact has been deleted.",
    /* 33 */ "ERROR: Failed to delete the SNMP System Name.",
    /* 34 */ "The SNMP System Name has been deleted.",
    /* 35 */ "ERROR: Failed to delete the SNMP System Description.",
    /* 36 */ "The SNMP System Description has been deleted.",
    /* 37 */ "ERROR: Failed to delete the SNMP System Location.",
    /* 38 */ "The SNMP System Location has been deleted.",
    /* 39 */ "ERROR: Failed to delete the SNMP Primary Trap Destination.",
    /* 40 */ "The SNMP Primary Trap Destination has been deleted.",
    /* 41 */ "ERROR: Failed to delete the SNMP Secondary Trap Destination.",
    /* 42 */ "The SNMP Secondary Trap Destination has been deleted.",
  ];

function SetSnmpLinks()
{
    document.getElementById('snmpreadcommD').style.display =
        (document.getElementById('snmpreadcomm').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('snmpwritecommD').style.display =
        (document.getElementById('snmpwritecomm').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('snmpsyscontactD').style.display =
        (document.getElementById('snmpsyscontact').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('snmpsysnameD').style.display =
        (document.getElementById('snmpsysname').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('snmpsysdescrD').style.display =
        (document.getElementById('snmpsysdescr').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('snmpsyslocD').style.display =
        (document.getElementById('snmpsysloc').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('snmppritrapD').style.display =
        (document.getElementById('snmppritrap').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('snmpsectrapD').style.display =
        (document.getElementById('snmpsectrap').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
}
