function BufferPoolsRender(xml)
{
    var d = document.getElementById('pooldata');
    d.innerHTML = '';

    var r = '';

    for (var i = 0; xml && i < xml.childNodes.length; i++)
    {
        var node = xml.childNodes[i];

        if (node.nodeName.toLowerCase() == "p")
        {
            var n = GetXmlData(node, "n");
            var bt = GetXmlData(node, "bt");
            var bf = GetXmlData(node, "bf");
            var bu = GetXmlData(node, "bu");
            var bm = GetXmlData(node, "bm");
            var cs = GetXmlData(node, "cs");
            var ct = GetXmlData(node, "ct");
            var cf = GetXmlData(node, "cf");
            var cu = GetXmlData(node, "cu");
            var cm = GetXmlData(node, "cm");

            r += "<table class=\"basicTable poolTable\">";
            r += "<thead><tr><th colspan=\"5\">" + n + "</th></tr></thead><tbody>";
            r += "<tr><td></td><td><b>Total</b></td><td><b>Free</b></td><td><b>Used</b></td><td><b>MaxUsed</b></td></tr>";
            r += "<tr><td><b>Buffer Headers</b></td><td>" + bt + "</td><td>" + bf + "</td><td>" + bu + "</td><td>" + bm + "</td></tr>";
            r += "<tr><td><b>Cluster Pool<br/>Size: " + cs + "</b></td><td>" + ct + "</td><td>" + cf + "</td><td>" + cu + "</td><td>" + cm + "</td></tr>";
            r += "</tbody></table>";
        }
    }

    d.innerHTML = r;
}
