_msgs.ppp =
  [
    /* 0  */ "ERROR: Failed to get line information.",
    /* 1  */ "ERROR: Connect Mode Tunneling is enabled on the line.",
    /* 2  */ "ERROR: Accept Mode Tunneling is enabled on the line.",
    /* 3  */ "ERROR: Command Mode is enabled on the line",
    /* 4  */ "ERROR: Failed to enable PPP on the line.",
    /* 5  */ "PPP has been enabled on the line.",
    /* 6  */ "ERROR: Failed to disable PPP on the line.",
    /* 7  */ "PPP has been disabled on the line.",
    /* 8  */ "ERROR: Invalid Local IP Address.",
    /* 9  */ "ERROR: Failed to set the Local IP Address.",
    /* 10 */ "ERROR: Invalid Peer IP Address.",
    /* 11 */ "ERROR: Failed to set the Peer IP Address.",
    /* 12 */ "ERROR: Invalid Network Mask.",
    /* 13 */ "ERROR: Failed to set the Network Mask.",
    /* 14 */ "ERROR: Invalid Auth Mode.",
    /* 15 */ "ERROR: Failed to set the Auth Mode.",
    /* 16 */ "The Auth Mode has been changed.",
    /* 17 */ "ERROR: Failed to set the Auth Username.",
    /* 18 */ "ERROR: Failed to set the Auth Password.",
    /* 19 */ "The Auth Password has been changed.",
    /* 20 */ "ERROR: Failed to delete the Local IP Address",
    /* 21 */ "The Local IP Address has been deleted.",
    /* 22 */ "ERROR: Failed to delete the Peer IP Address.",
    /* 23 */ "The Peer IP Address has been deleted.",
    /* 24 */ "ERROR: Failed to delete the Network Mask.",
    /* 25 */ "The Network Mask has been deleted.",
    /* 26 */ "ERROR: Failed to delete the Auth Username",
    /* 27 */ "The Auth Username has been deleted.",
    /* 28 */ "ERROR: Unknown PPP line.",
    /* 29 */ "ERROR: Invalid PPP line.",
    /* 30 */ "The Local IP Address has been set to {}.",
    /* 31 */ "The Peer IP Address has been set to {}.",
    /* 32 */ "The Network Mask has been set to {}.",
    /* 33 */ "The Auth Username has been set to {}.",
  ];

function SetPppLinks()
{
    document.getElementById('ppplocipD').style.display =
        (document.getElementById('ppplocip').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('ppppeeripD').style.display =
        (document.getElementById('ppppeerip').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('pppmaskD').style.display =
        (document.getElementById('pppmask').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';

    document.getElementById('pppuserD').style.display =
        (document.getElementById('pppuser').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
}

function SetPppNav(xml)
{
    SetNav(xml, false, true);
}
