_msgs.serial =
  [
    /* 0  */ "Changing the Status to Disabled.",
    /* 1  */ "ERROR: Invalid Custom Baud Rate value. Valid range is from {} to {} bits per second.",
    /* 2  */ "ERROR: Invalid Baud Rate value.",
    /* 3  */ "Changing the Parity to None.",
    /* 4  */ "Changing the Parity to Even.",
    /* 5  */ "Changing the Parity to Odd.",
    /* 6  */ "ERROR: Invalid Parity value.",
    /* 7  */ "Changing the Data Bits to 7.",
    /* 8  */ "Changing the Data Bits to 8.",
    /* 9  */ "ERROR: Invalid Data Bits value.",
    /* 10 */ "Changing the Stop Bits to 1.",
    /* 11 */ "Changing the Stop Bits to 2.",
    /* 12 */ "ERROR: Invalid Stop Bits value.",
    /* 13 */ "Changing the Flow Control to None.",
    /* 14 */ "ERROR: Hardware flow control not supported on this line.",
    /* 15 */ "Changing the Flow Control to Hardware.",
    /* 16 */ "Changing the Flow Control to Software.",
    /* 17 */ "ERROR: Invalid Flow Control value.",
    /* 18 */ "WARNING: The Serial Port is disabled.",
    /* 19 */ "ERROR: Failed to commit the changes.",
    /* 20 */ "The changes have been committed.",
    /* 21 */ "ERROR: A conflicting protocol is enabled on the line.",
    /* 22 */ "ERROR: The Serial String is too long. Only 6 characters or time elements allowed.",
    /* 23 */ "ERROR: Failed to parse the Serial String.",
    /* 24 */ "ERROR: Invalid time specified. Must be from {} to {} milliseconds.",
    /* 25 */ "ERROR: The Serial String could not be verified.",
    /* 26 */ "ERROR: Failed to set the Serial String.",
    /* 27 */ "The Serial String has been changed.",
    /* 28 */ "ERROR: Invalid character specified in the Serial String.  Must be a hex or decimal number.",
    /* 29 */ "ERROR: The Signon Message is too long. Must be from 1 to 8 characters.",
    /* 30 */ "ERROR: Failed to set the Signon Message.",
    /* 31 */ "The Signon Message has been changed.",
    /* 32 */ "ERROR: Failed to parse the Signon Message.",
    /* 33 */ "ERROR: Invalid character specified in the Signon Message.  Must be a hex or decimal number.",
    /* 34 */ "ERROR: Failed to set the Command Mode to Always.",
    /* 35 */ "At least one tunneling connection is active on this line.",
    /* 36 */ "All tunneling sessions on this line will be paused while in command mode.",
    /* 37 */ "Changed the Command Mode to Always.",
    /* 38 */ "ERROR: Failed to set the Command Mode to Disabled.",
    /* 39 */ "Changed the Command Mode to Disabled.",
    /* 40 */ "ERROR: Failed to change the Command Mode to use a Serial String.",
    /* 41 */ "Changed the Command Mode to use a Serial String.",
    /* 42 */ "ERROR: Failed to change the Command Mode to not use a Serial String.",
    /* 43 */ "ERROR: Invalid selection",
    /* 44 */ "ERROR: Invalid CP Group Value.",
    /* 45 */ "Changed the Command Mode to use a CP Group.",
    /* 46 */ "ERROR: Failed to change the Command Mode to use both a Serial String and a CP Group.",
    /* 47 */ "Changed the Command Mode to use both a Serial String and a CP Group.",
    /* 48 */ "ERROR: Failed to change the Echo Serial String to On.",
    /* 49 */ "Changed the Echo Serial String to On.",
    /* 50 */ "ERROR: Failed to change the Echo Serial String to Off.",
    /* 51 */ "Changed the Echo Serial String to Off.",
    /* 52 */ "ERROR: Failed to change the Command Mode Wait Time.",
    /* 53 */ "ERROR: Invalid Command Mode Wait Time value. Valid range is from 500 to 65000 milliseconds.",
    /* 54 */ "ERROR: Must specify either Text or Binary for the Serial String.",
    /* 55 */ "WARNING: CP Group does not exist.",
    /* 56 */ "ERROR: Failed to change the CP Group data.",
    /* 57 */ "ERROR: Must specify both the CP Group and Value.",
    /* 58 */ "ERROR: Failed to delete the Serial String.",
    /* 59 */ "The Serial String has been deleted.",
    /* 60 */ "ERROR: Failed to delete the Signon Message.",
    /* 61 */ "The Signon Message has been deleted.",
    /* 62 */ "The Command Mode session has been killed.",
    /* 63 */ "ERROR: Must specify either Text or Binary for the Signon Message.",
    /* 64 */ "ERROR: Unknown serial line.",
    /* 65 */ "ERROR: Failed to get serial line settings.",
    /* 66 */ "ERROR: Failed to get serial baud rates.",
    /* 67 */ "Changing the Status to Enabled",
    /* 68 */ "Changing the Baud Rate to {} baud.",
    /* 69 */ "Changing the Baud Rate to Custom {}.",
    /* 70 */ "Baud Rate Error is {} @ CPU Speed = {} MHz.",
    /* 71 */ "Changed the Command Mode Wait Time to {}.",
    /* 72 */ "Changing the CP Group data to group {} value {}.",
    /* 73 */ "Changing Interface to RS232.",
    /* 74 */ "Changing Interface to RS485 Half-Duplex.",
    /* 75 */ "Changing Interface to RS485 Full-Duplex.",
    /* 76 */ "ERROR: RS485 not supported on this Serial Port.",
    /* 77 */ "Changed the Xon Char.",
    /* 78 */ "ERROR: The Xon Char must be either be hex with 0x prefix, decimal with \\ prefix, or printable.",
    /* 79 */ "Changed the Xoff Char.",
    /* 80 */ "ERROR: The Xoff Char must be either be hex with 0x prefix, decimal with \\ prefix, or printable.",
    /* 81 */ "Changed the line name.",
    /* 82 */ "ERROR: Failed to change the line name.",
    /* 83 */ 'ERROR: Flow control must be "None" for interface RS485 Half-Duplex',
    /* 84 */ 'The reference to a CP Group has been deleted.',
    /* 85 */ "ERROR: RS232 not supported on this Serial Port.",
    /* 86 */ 'ERROR: Flow control may not be "Hardware" for interface RS485 Full-Duplex',
    /* 87 */ "Changing Protocol to None.",
    /* 88 */ "Changing Protocol to Modbus RTU.",
    /* 89 */ "Changing Protocol to Modbus ASCII.",
    /* 90 */ "ERROR: Modbus RTU requires 8 data bits.",
    /* 91 */ "ERROR: Modbus ASCII requires 7 data bits.",
    /* 92 */ "ERROR: Modbus with no parity requires 2 stop bits.",
    /* 93 */ "ERROR: Modbus with even or odd parity requires 1 stop bit.",
    /* 94 */ 'ERROR: Modbus requires flow control "None".',
    /* 95 */ "ERROR: Parity, data bits and stop bits combination not supported.",
    /* 96 */ "ERROR: Modbus is already configured on Line {}.",
    /* 97 */ "Changing Protocol to Tunnel.",
    /* 98 */ "ERROR: Protocol Tunnel not allowed on this Line.",
    /* 99 */ "Changing Protocol to PPP.",
    /* 100 */ "ERROR: Protocol PPP not allowed on this Line.",
    /* 101 */ "ERROR: Command Mode on this Line conflicts with the new Protocol.",
    /* 102 */ "WARNING: Hardware flow control is recommended at high speeds.",
    /* 103 */ "ERROR: Termination requires RS485 half-duplex (2-wire) mode.",
    /* 104 */ "ERROR: Termination is not available on this RS-485 interface.",
    /* 105 */ "Changing termination to Disabled.",
    /* 106 */ "Changing termination to Enabled.",
  ];

function ConditionallyWarnAboutFlowControl( )
{
    var baud = (
        document.serform.baud.value == -1 ?
        document.serform.custbaud.value :
        document.serform.baud.value
    );
    var warn = (
        baud > 19200 &&
        document.serform.flow.value == 'Software'
    );
    document.getElementById('flowWARN').style.display = warn ? 'inline' : 'none';
    document.getElementById('flowWARN').innerHTML = _msgs.serial[ 102 ];
}

function ConditionallyDisableXon( )
{
    var disableXon = (
        document.serform.flow.value != 'Software'
    );
    document.serform.xon_char.disabled = disableXon;
    var disableXonButton = (
        disableXon ||
        document.serform.xon_char.value == "0x11" ||
        (
            document.serform.xon_char.value == "" &&
            document.serform.xonchar_orig.value.substring(0,4) == "0x11"
        )
    );
    document.getElementById('xon_charD').style.display = disableXonButton ? 'none' : 'inline';
}

function ConditionallyDisableXoff( )
{
    var disableXoff = (
        document.serform.flow.value != 'Software'
    );
    document.serform.xoff_char.disabled = disableXoff;
    var disableXoffButton = (
        disableXoff ||
        document.serform.xoff_char.value == "0x13" ||
        (
            document.serform.xoff_char.value == "" &&
            document.serform.xoffchar_orig.value.substring(0,4) == "0x13"
        )
    );
    document.getElementById('xoff_charD').style.display = disableXoffButton ? 'none' : 'inline';
}

function ConditionallyDisableFields( )
{
    var f = document.serform;
    var disableFlowControl = (

        document.serform.protocol.value.substring(0,6) == 'Modbus' ||

        document.serform.rsmode.value.substring(0,10) == 'RS485 Half'
    );
    document.serform.flow.disabled = disableFlowControl;
    var orig = disableFlowControl ? "None" : document.serform.flow_orig.value;
    document.serform.flow.length = 0;
    document.serform.flow.options[0] = new Option(
        "None","None",false,orig=="None"
    );
    document.serform.flow.options[1] = new Option(
        "Hardware","Hardware",false,orig=="Hardware"
    );
    document.serform.flow.options[2] = new Option(
        "Software","Software",false,orig=="Software"
    );
    if ( document.serform.rsmode.value.substring(0,5) == 'RS485' )
    {
        document.serform.flow.options[1] = null;
    }
    ConditionallyDisableXon( );
    ConditionallyDisableXoff( );

    var disableDataAndStop = (
        document.serform.protocol.value.substring(0,6) == 'Modbus'
    );
    document.serform.databits.disabled = disableDataAndStop;
    document.serform.stopbits.disabled = disableDataAndStop;

    document.serform.termination.disabled =
     ( document.serform.rsmode.value.substring(0,10) != 'RS485 Half' );

}

function ChangedParity( )
{

    if ( document.serform.protocol.value.substring(0,6) == 'Modbus' )
    {
        if ( document.serform.parity.value == 'None' )
        {
            document.serform.stopbits.value = '2';
        }
        else
        {
            document.serform.stopbits.value = '1';
        }
    }

    ConditionallyDisableFields( );
}


function ChangedProtocol( )
{
    var orig;
    document.serform.parity.length = 0;
    if ( document.serform.protocol.value == 'Modbus ASCII' )
    {
        document.serform.databits.value = '7';
        document.serform.stopbits.value = '1';
        document.serform.parity.value = 'Even';
        orig = 'Even';
    }
    else
    {
        if ( document.serform.protocol.value == 'Modbus RTU' )
        {
            document.serform.databits.value = '8';
            document.serform.stopbits.value = '1';
            document.serform.parity.value = 'Even';
            orig = 'Even';
        }
        else
        {
            document.serform.databits.value = document.serform.databits_orig.value;
            document.serform.stopbits.value = document.serform.stopbits_orig.value;
            document.serform.parity.value = document.serform.parity_orig.value;
            orig = document.serform.parity_orig.value;
        }
        document.serform.parity.options[0] = new Option(
            "None","None",false,orig=="None"
        );
    }
    document.serform.parity.options[1] = new Option(
        "Even","Even",false,orig=="Even"
    );
    document.serform.parity.options[2] = new Option(
        "Odd","Odd",false,orig=="Odd"
    );
    ChangedParity( );
}


function AdjustOtherFields( obj )
{
    var f = document.serform

    switch( obj.name )
    {
        default:
            return;

        case "rsmode":
            if( f.termination )
            {
                if( f.rsmode.value == "RS485 Full-Duplex" )
                {
                     f.termination.value = "Disabled"
                     f.termination.disabled = true;
                }
                else
                {
                     f.termination.disabled = false;
                     f.termination.value = f.termination_orig.value;
                }
           }
           break;
    }
}


function SerialConfRenderRsMode(xml, rsmode)
{
    var r = '';
    var options = '';
    var numberOfSelections = 0;
    var selectDisabled = true;

    for (var i = 0; xml && i < xml.childNodes.length; i++)
    {
        var m = xml.getElementsByTagName("m" + (i + 1));
        if (!m || !m.length)
        {
            break;
        }
        ++numberOfSelections;
        var mv = m[0].firstChild.nodeValue;
        options += "<option value=\"" + mv + "\"";
        options += (mv == rsmode) ? " selected" : "";
        options += ">" + mv + "</option>";
    }
    if ( numberOfSelections > 1 )
    {
        selectDisabled = false;
    }

    r += "<select name=\"rsmode\"";
    r += selectDisabled ? " DISABLED " : "";
    r += "onChange=\"ConditionallyDisableFields( ); AdjustOtherFields(this);\"";
    r += ">";
    r += options;
    r += "</select>";
    return r;
}


function SerialConfRenderTermination(xml, termination)
{
    var r = '';
    var options = '';
    var numberOfSelections = 0;
    var selectDisabled = false;

    for (var i = 0; xml && i < xml.childNodes.length; i++)
    {
        var t = xml.getElementsByTagName("t" + (i + 1));
        if (!t || !t.length)
        {
            break;
        }
        ++numberOfSelections;
        var tv = t[0].firstChild.nodeValue;
        options += "<option value=\"" + tv + "\"";
        options += (tv == termination) ? " selected" : "";
        options += ">" + tv + "</option>";
    }
    if ( numberOfSelections <= 1
         ||
         GetXmlData(xml, "rsmode") != "RS485 Half-Duplex"
        )
    {
        selectDisabled = true;
    }

    r += "<select name=\"termination\"";
    r += selectDisabled ? " DISABLED " : "";
    r += "onChange=\"AdjustOtherFields(this);\"";
    r += ">";
    r += options;
    r += "</select>";
    return r;
}





function ConditionallyDisableCustomBaudField( )
{
    if ( document.serform.baud.value == -1 )
    {
        document.serform.custbaud.disabled = false;
    }
    else
    {
        document.serform.custbaud.disabled = true;
    }
}

function SerialConfRenderSelectBaud(xml, baud)
{
    var r = '';

    var cust = GetXmlData(xml, "custom");

    r += "<select name=\"baud\"";
    r += "onChange=\"ConditionallyDisableCustomBaudField();ConditionallyWarnAboutFlowControl();\"";
    r += ">";

    for (var i = 0; xml && i < xml.childNodes.length; i++)
    {
        var b = xml.getElementsByTagName("b" + (i + 1));
        if (!b || !b.length)
        {
            break;
        }
        var bv = b[0].firstChild.nodeValue;

        r += "<option value=\"" + bv + "\"";
        r += (!cust && (bv == baud)) ? " selected" : "";
        r += ">" + bv + "</option>";
    }

    r += "<option value=\"-1\"";
    r += cust ? " selected" : "";
    r += ">Custom</option>";
    r += "</select>";

    r += " Custom <input type=\"text\" ";
    r += "name=\"custbaud\"";
    r += cust ? "" : " DISABLED ";
    r += "size=\"8\" maxlength=\"8\" ";
    r += "onChange=\"ConditionallyWarnAboutFlowControl();\"";
    r += "value=\"";
    r += cust ? cust : "";
    r += "\" />";

    return r;
}

function SerialConfRender(xml)
{
    var d = document.getElementById('serialconf');
    d.innerHTML = '';

    var r = '';
    r += "<form id=\"serform\" name=\"serform\" method=\"post\">";
    r += "<table class=\"basicTable lineConfigTable\">";
    r += "<thead><tr><th></th><th><b>Current Setting</b></th><th><b>Change Setting To</th></th></tr></thead>";

    var line_name = GetXmlData( xml, "linename" );
    r += "<tr><td><b>Name:</b></td><td>" + line_name;
    r += "</td><td>";
    r += "<input type=\"text\" name=\"line_name\" size=\"25\" maxlength=\"25\" ";
    r += "value=\"" + line_name + "\" />";

    var state = GetXmlData( xml, "state" );
    r += "<tr><td><b>Status:</b></td><td>" + state + "</td><td>";
    r += "<select name=\"state\"><option value=\"Enabled\"";
    r += (state == "Enabled") ? " selected" : "";
    r += ">Enabled</option><option value=\"Disabled\"";
    r += (state == "Disabled") ? " selected" : "";
    r += ">Disabled</option></select></td></tr>";

    var protocol = GetXmlData( xml, "protocol" );
    r += "<tr>";
    r += "<td><b>Protocol:</b></td>";
    r += "<td>" + protocol + "</td>";
    r += "<td>";
    r += "<select name=\"protocol\"";

    r += "onChange=\"ChangedProtocol( );\"";

    r += ">";
    r += "<option value=\"None\"";
    r += protocol == "None" ? " selected" : "";
    r += ">None</option>";
    r += "<option value=\"Tunnel\"";
    r += protocol == "Tunnel" ? " selected" : "";
    r += ">Tunnel</option>";






    r += "<option value=\"Modbus RTU\"";
    r += protocol == "Modbus RTU" ? " selected" : "";
    r += ">Modbus RTU</option>";
    r += "<option value=\"Modbus ASCII\"";
    r += protocol == "Modbus ASCII" ? " selected" : "";
    r += ">Modbus ASCII</option>";

    r += "</td>";
    r += "</tr>";

    var rsmode = GetXmlData(xml, "rsmode");
    var termination = GetXmlData( xml, "termination" );

    r += "<tr><td><b>Interface:</b></td>";
    r += "<td>" + rsmode + "</td>";
    r += "<td>" + SerialConfRenderRsMode( xml, rsmode ) + "</td>";
    r += "</tr>";

    r += "<tr><td><b>Termination:</b></td>";
    r += "<td>" + termination + "</td>";
    r += "<td>" + SerialConfRenderTermination( xml, termination ) + "</td>";
    r += "</tr>";



    var baud = GetXmlData(xml, "baud");
    r += "<tr><td><b>Baud Rate:</b></td><td>" + baud + "</td><td>";
    r += SerialConfRenderSelectBaud(xml, baud);
    r += "</td></tr>";

    var hideNoParityOption = (

        protocol == 'Modbus ASCII' ||

        false
    );

    var parity = GetXmlData(xml, "parity");
    r += "<tr><td><b>Parity:</b></td><td>" + parity + "</td><td>";
    r += "<select name=\"parity\"";
    r += "onChange=\"ChangedParity( );\"";
    r += ">";
    if ( ! hideNoParityOption )
    {
        r += "<option value=\"None\"";
        r += (parity == "None") ? " selected" : "";
        r += ">None</option>";
    }
    r += "<option value=\"Even\"";
    r += (parity == "Even") ? " selected" : "";
    r += ">Even</option><option value=\"Odd\"";
    r += (parity == "Odd") ? " selected" : "";
    r += ">Odd</option></select></td></tr>";

    var disableDataAndStop = (

        protocol.substring(0,6) == 'Modbus' ||

        false
    );

    var dbits = GetXmlData(xml, "dbits");
    r += "<tr><td><b>Data Bits:</b></td><td>" + dbits + "</td><td>";
    r += "<select ";
    r += disableDataAndStop ? "DISABLED" : "";
    r += " name=\"databits\">";
    r += "<option value=\"7\"";
    r += (dbits == "7") ? " selected" : "";
    r += ">7</option><option value=\"8\"";
    r += (dbits == "8") ? " selected" : "";
    r += ">8</option></select></td></tr>";

    var sbits = GetXmlData(xml, "sbits");
    r += "<tr><td><b>Stop Bits:</b></td><td>" + sbits + "</td><td>";
    r += "<select ";
    r += disableDataAndStop ? "DISABLED" : "";
    r += " name=\"stopbits\">";
    r += "<option value=\"1\"";
    r += (sbits == "1") ? " selected" : "";
    r += ">1</option><option value=\"2\"";
    r += (sbits == "2") ? " selected" : "";
    r += ">2</option></select></td></tr>";

    var disableFlow = (

        protocol.substring(0,6) == 'Modbus' ||

        rsmode.substring(0,10) == 'RS485 Half'
    );

     var flow = GetXmlData(xml, "flow");
     r += "<tr>";
     r += "<td><b>Flow Control:</b></td>";
     r += "<td>" + flow + "</td>";
     r += "<td>";
     r += "<select ";
     r += disableFlow ? "DISABLED" : "";
     r += " name=\"flow\" ";
     r += "onChange=\"ConditionallyWarnAboutFlowControl();ConditionallyDisableXon();ConditionallyDisableXoff();\"";
     r += ">";
     r += "<option value=\"None\"";
     r += (flow == "None") ? " selected" : "";
     r += ">None</option>";
     if ( rsmode.substring(0,5) == 'RS232' )
     {
         r += "<option value=\"Hardware\"";
         r += flow == "Hardware" ? " selected" : "";
         r += ">Hardware</option>";
     }
     r += "<option value=\"Software\"";
     r += flow == "Software" ? " selected" : "";
     r += ">Software</option></select>";
     r += "<span id=\"flowWARN\" class=\"warnLog\" style=\"display:none\">";
     r += "</span>";
     r += "</td>";
     r += "</tr>";

    var disableXonXoff = disableFlow || flow != 'Software';

    var xon_char = GetXmlData(xml, "xonchar");
    r += "<tr>";
    r += "<td><b>Xon char:</b></td>";
    r += "<td>" + xon_char + "</td>";
    r += "<td>";
    r += "<input type=\"text\" ";
    r += disableXonXoff ? "DISABLED" : "";
    r += " id=\"xon_char\"";
    r += " onChange=\"ConditionallyDisableXon();\"";
    r += " name=\"xon_char\" size=\"8\" maxlength=\"8\" ";
    r += "value=\"\" />";

    r += "<span id=\"xon_charD\" style=\"display:none\">";
    r += "[<a ";
    r += "href=\"javascript:void(0)\" ";
    r += "onclick=\"";
    r += "document.getElementById('xon_char').value = '0x11';";
    r += "ConditionallyDisableXon();";
    r += "return false;";
    r += "\"";
    r += ">Default</a>]";
    r += "</span>";

    r += "</td>";
    r += "</tr>";

    var xoff_char = GetXmlData(xml, "xoffchar");
    r += "<tr>";
    r += "<td><b>Xoff char:</b></td>";
    r += "<td>" + xoff_char + "</td>";
    r += "<td>";
    r += "<input type=\"text\" ";
    r += disableXonXoff ? "DISABLED" : "";
    r += " id=\"xoff_char\"";
    r += " onChange=\"ConditionallyDisableXoff();\"";
    r += " name=\"xoff_char\" size=\"8\" maxlength=\"8\" ";
    r += "value=\"\" />";

    r += "<span id=\"xoff_charD\" style=\"display:none\">";
    r += "[<a ";
    r += "href=\"javascript:void(0)\" ";
    r += "onclick=\"";
    r += "document.getElementById('xoff_char').value = '0x13';";
    r += "ConditionallyDisableXoff();";
    r += "return false;";
    r += "\"";
    r += ">Default</a>]";
    r += "</span>";

    r += "</td>";
    r += "</tr>";

    r += "<tr><td colspan=\"2\"></td><td>";
    r += "<input type=\"hidden\" name=\"name_orig\" value=\"" + line_name + "\" />";
    r += "<input type=\"hidden\" name=\"state_orig\" value=\"" + state + "\" />";
    r += "<input type=\"hidden\" name=\"baud_orig\" value=\"" + baud + "\" />";
    r += "<input type=\"hidden\" name=\"parity_orig\" value=\"" + parity + "\" />";
    r += "<input type=\"hidden\" name=\"databits_orig\" value=\"" + dbits + "\" />";
    r += "<input type=\"hidden\" name=\"stopbits_orig\" value=\"" + sbits + "\" />";
    r += "<input type=\"hidden\" name=\"flow_orig\" value=\"" + flow + "\" />";
    r += "<input type=\"hidden\" name=\"protocol_orig\" value=\"" + protocol + "\" />";
    r += "<input type=\"hidden\" name=\"rsmode_orig\" value=\"" + rsmode + "\" />";
    r += "<input type=\"hidden\" name=\"termination_orig\" value=\"" + termination + "\" />";
    r += "<input type=\"hidden\" name=\"xonchar_orig\" value=\"" + xon_char + "\" />";
    r += "<input type=\"hidden\" name=\"xoffchar_orig\" value=\"" + xoff_char + "\" />";
    r += "<input href=\"javascript:void(0)\" onclick=\"return ajax_SerialConfPost([true, ajaxGetFormValues('serform') + '&amp;line=' + document.getElementById('hiddenline').innerHTML]);\" type=\"submit\" name=\"submit\" value=\"Submit\" /></td></tr>";
    r += "</table></form>";

    d.innerHTML = r;
}

function SetSerialConfLinks()
{
    ConditionallyWarnAboutFlowControl( );
    ConditionallyDisableXon();
    ConditionallyDisableXoff();
}

function SetSerialCmLinks()
{
    document.getElementById('cmmodeD').style.display =
        (document.getElementById('cmmode').innerHTML.match(/Inactive/)) ? 'none' : 'inline';

    document.getElementById('cmserstrD').style.display =
        (document.getElementById('cmserstr').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';


    document.getElementById('cmgroupD').style.display =
        (document.getElementById('cmgroup').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';


    document.getElementById('cmsignonD').style.display =
        (document.getElementById('cmsignon').innerHTML == '&lt;None&gt;') ? 'none' : 'inline';
}

function SetSerialNav(xml)
{




    SetNav(xml, true, true);

}

function LineRender( xml )
{
        var d = document.getElementById("multiportdropdown");
        if( d ) {
                var sel="";
                var i;
                var curLine = Number(document.getElementById("hiddenline").innerHTML);
                var r = "<select name='navSelect' id='navSelect' onchange=\"return ajax_AddToHistory('SerialStatsPage', [true, 'line='+this.value]);\" >"
                for( i = 0; i < 2; i++ ) {
                        if( curLine == i ) {
                                sel = " SELECTED ";
                        }
                        else {
                                sel = "";
                        }
                        r += "<option value='" + i + "' " + sel + ">Line " + (i+1) +" </option>";
                }
                r += "</select>";
                d.innerHTML = "";
                d.innerHTML = r;
        }
        return r;
}
